Package org.eclipse.emf.compare.match

## Class DefaultComparisonFactory

- java.lang.Object
- - org.eclipse.emf.compare.match.DefaultComparisonFactory

All Implemented Interfaces:
  `IComparisonFactory`

    public class DefaultComparisonFactory
    extends Object
    implements IComparisonFactory

A default implementation of `IComparisonFactory` that creates a new `Comparison` through the `default CompareFactory`.

### Constructor Summary

Constructors
`DefaultComparisonFactory​(IEqualityHelperFactory equalityHelperFactory)` Creates a new DefaultComparisonFactory.

### Method Summary

All Methods Instance Methods Concrete Methods
`Comparison` `createComparison()` Returns a new `Comparison`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComparisonFactory

    public DefaultComparisonFactory​(IEqualityHelperFactory equalityHelperFactory)

Creates a new DefaultComparisonFactory.

Parameters:
  `equalityHelperFactory` - The factory used to instantiate IEqualityHelper to associate with Comparison.

### Method Detail

#### createComparison

    public Comparison createComparison()

Returns a new `Comparison`.

Specified by:
  `createComparison` in interface `IComparisonFactory`
Returns:
  a new `Comparison`.
See Also:
  `IComparisonFactory.createComparison()`